import type { Bridge } from '../Bridge';
import type { BridgeMessageDefinition, BridgeMessagePayload, BridgeMessageResponse, BridgeOptions, BridgeOptionsMaybe, BridgeReceivables } from '../Types';
/**
 * Utility hook to reduce boilerplate code
 * in your components
 */
export declare function useBridgeOnReceive<Messages extends BridgeMessageDefinition[], Options extends BridgeOptions, Action extends keyof BridgeReceivables<Messages>>(bridge: Bridge<Messages, Options> | undefined, action: Action & string, cb: (payload: BridgeMessagePayload<BridgeReceivables<Messages>[Action]>) => Promise<BridgeMessageResponse<BridgeReceivables<Messages>[Action]>>, ...options: BridgeOptionsMaybe<Options>): void;
